ssuominen 14/03/10 10:47:39
Modified: libhtmlparse-0.1.13-r1.ebuild
libhtmlparse-0.1.13.ebuild ChangeLog
Log:
Punt virtual/libc dependency.
(Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key
4868F14D)
Revision Changes Path
1.2 dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild?r1=1.1&r2=1.2
Index: libhtmlparse-0.1.13-r1.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- libhtmlparse-0.1.13-r1.ebuild 2 Nov 2012 11:09:34 -0000 1.1
+++ libhtmlparse-0.1.13-r1.ebuild 10 Mar 2014 10:47:39 -0000 1.2
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild,v
1.1 2012/11/02 11:09:34 pinkbyte Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13-r1.ebuild,v
1.2 2014/03/10 10:47:39 ssuominen Exp $
-EAPI=4
+EAPI=5
DESCRIPTION="HTML parsing library. It takes HTML tags, text, and calls
callbacks for each type of token"
HOMEPAGE="http://msalem.translator.cx/libhtmlparse.html"
@@ -13,9 +13,6 @@
KEYWORDS="~amd64 ~x86"
IUSE="static-libs"
-RDEPEND="virtual/libc"
-DEPEND="${RDEPEND}"
-
DOCS=( AUTHORS BUGS INSTALL ChangeLog NEWS README TODO )
src_unpack() {
1.4 dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild?rev=1.4&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild?rev=1.4&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild?r1=1.3&r2=1.4
Index: libhtmlparse-0.1.13.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- libhtmlparse-0.1.13.ebuild 2 Nov 2012 10:58:06 -0000 1.3
+++ libhtmlparse-0.1.13.ebuild 10 Mar 2014 10:47:39 -0000 1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild,v 1.3
2012/11/02 10:58:06 pinkbyte Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/libhtmlparse-0.1.13.ebuild,v 1.4
2014/03/10 10:47:39 ssuominen Exp $
DESCRIPTION="HTML parsing library. It takes HTML tags, text, and calls
callbacks for each type of token"
HOMEPAGE="http://msalem.translator.cx/libhtmlparse.html"
@@ -11,9 +11,6 @@
KEYWORDS="x86"
IUSE=""
-RDEPEND="virtual/libc"
-DEPEND="${RDEPEND}"
-
src_unpack() {
cd "${WORKDIR}"
# for some reason, we get a "this does not look like a tar archive"
error
@@ -24,6 +21,6 @@
}
src_install() {
- make DESTDIR="${D}" install || die "make install failed"
+ make DESTDIR="${D}" install || die
dodoc AUTHORS BUGS INSTALL ChangeLog NEWS README TODO
}
1.13 dev-libs/libhtmlparse/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/ChangeLog?rev=1.13&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/ChangeLog?rev=1.13&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libhtmlparse/ChangeLog?r1=1.12&r2=1.13
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/ChangeLog,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ChangeLog 2 Nov 2012 11:09:34 -0000 1.12
+++ ChangeLog 10 Mar 2014 10:47:39 -0000 1.13
@@ -1,6 +1,10 @@
# ChangeLog for dev-libs/libhtmlparse
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/ChangeLog,v 1.12
2012/11/02 11:09:34 pinkbyte Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libhtmlparse/ChangeLog,v 1.13
2014/03/10 10:47:39 ssuominen Exp $
+
+ 10 Mar 2014; Samuli Suominen <[email protected]>
+ libhtmlparse-0.1.13-r1.ebuild, libhtmlparse-0.1.13.ebuild:
+ Punt virtual/libc dependency.
*libhtmlparse-0.1.13-r1 (02 Nov 2012)